## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name: tuiwidgets
Version: 0.2.1
Release: %autorelease
Summary: High-level widget based toolkit for terminal applications

%global forgeurl https://github.com/tuiwidgets/tuiwidgets
%forgemeta

License: Boost
URL: %{forgeurl}
Source0: %{forgeurl}/releases/download/%{version}/%{name}-%{version}.tar.gz

Patch0: 0003-doc-Remove-usage-of-sphinxcontrib.image.patch
Patch1: doc-font-path.patch

BuildRequires: meson
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: pkgconfig(termpaint)
BuildRequires: pkgconfig(termpaint_image)
BuildRequires: pkgconfig(PosixSignalManager)
BuildRequires: qt5-qtbase-devel
BuildRequires: pkgconfig(catch2)
BuildRequires: python3-sphinx
BuildRequires: python3-beautifulsoup4
BuildRequires: python3-pillow
BuildRequires: python3-freetype
BuildRequires: dejavu-sans-mono-fonts
BuildRequires: unifont-ttf-fonts


%description
Tuiwidgets is designed to be flexible and similar to use to Qt graphical
widgets.  Its look and feel is similar to graphical applications or classic full
screen terminal applications from the PC world of the 90s.


%package devel
Summary: Header files for the tuiwidgets library
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the header files and symbolic links need for building
software using tuiwidgets, as well as the documentation.


%prep
%forgeautosetup -p1
rm -rf third-party/catch2


%build
%meson -Dsystem-catch2=enabled -Dsystem-posixsignalmanager=enabled
%meson_build
pushd doc
python3 ./qt5.inv.py
python3 -m sphinx -b html . _build -a
popd


%install
%meson_install
mkdir -p %{buildroot}%{_pkgdocdir}/html
cp -r doc/_build/. %{buildroot}%{_pkgdocdir}/html
rm -rf %{buildroot}%{_pkgdocdir}/html/.doctrees
rm -f %{buildroot}%{_pkgdocdir}/html/.buildinfo


%check
%meson_test


%files
%doc README.md NEWS.md
%license COPYING AUTHORS
%{_libdir}/libtuiwidgets.so.0a

%files devel
%{_libdir}/libtuiwidgets.so
%{_libdir}/pkgconfig/TuiWidgets.pc
%{_includedir}/Tui
%{_pkgdocdir}/html

%changelog
## START: Generated by rpmautospec
* Thu Apr 04 2024 Thomas Schneider <qsx@chaotikum.eu> - 0.2.1-3
- .copr/Makefile: Fix _sourcedir and rpmautospec

* Wed Dec 13 2023 Thomas Schneider <qsx@chaotikum.eu> - 0.2.1-2
- Fix documentation build

* Mon Dec 11 2023 Thomas Schneider <qsx@chaotikum.eu> - 0.2.1-1
- Initial packaging
## END: Generated by rpmautospec
